Description

I am looking for a very basic feature expanding on the built-in "log time" functionality. We currently use time tracking, but often a

manager will need to track hours for some employees or one person will need to log hours for multiple people who are present in a

meeting.

The feature would simply add a 'multi-select' user drop down into the existing "Log Time" page

When selecting multiple users, the number of hours tracked for each user would simply be the value in the 'hours' field.

For example (a 1 hour meeting between myself and our graphic designer):

1. I click "Log Time"

2. From the user dropdown/multi-select, I select both myself and our designer

3. I enter "1" in the Hours field

4. Submit

5. Now two time entries are entered, 1 hour for myself, and 1 hour for our graphic designer

One optional additional piece of functionality (not entirely necessary) would be to limit this functionality to a certain privilege or

group.  For example, only admins or managers could see the users field on the log time page

Related issues:

Related to Redmine - Feature #3848: Permission to log time for another user Closed 2009-09-11

History

#1 - 2011-07-04 15:44 - Siegfried Vogel

+1: Very much needed functionality in cases of absences, too.

#2 - 2011-09-19 12:11 - Mário Pereira

+1 Very usefull!

#3 - 2011-11-01 12:03 - Brian Kjelin Olsen

+1

This feature would help a lot.

#4 - 2012-03-02 19:44 - Doug Twyman

+1 definitely would be a welcomed feature

#5 - 2013-04-06 11:30 - Toshi MARUYAMA

- Category set to Time tracking

#6 - 2015-02-09 08:45 - Henry Auffahrt

+1 would be very usefull!

#7 - 2015-07-24 15:08 - Alexander Ryabinovskiy

We need this functionality too :)

#8 - 2018-05-05 23:37 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU
I've added a new patch to #3848 which adds the possibility to log time for another user. I'm assigning this ticket to me because I want to work on this

feature in the near future (based on that patch).

#9 - 2020-03-24 11:03 - Mario Rosebrock

+1 Very usefull!
